import { EventEmitter } from "../../../stencil-public-runtime";
import "@elifent/paper-datepicker/paper-datepicker.js";
import "@ui5/webcomponents/dist/Calendar.js";
import "@ui5/webcomponents/dist/CalendarDate.js";
import "@ui5/webcomponents/dist/DatePicker.js";
import "@ui5/webcomponents/dist/Assets.js";
import { States } from "src/utils/utils";
export declare class SwAddonReminderBody {
  durationArray: string[];
  hoursArray: string[];
  minutesArray: string[];
  sr: ShadowRoot;
  withoutFooter: boolean;
  addonReminderInfoFromParent: {
    name: string;
    description: string;
    hour: string;
    minute: string;
    duration: string;
    date: string;
  };
  active1: boolean;
  active2: boolean;
  active3: boolean;
  reminderDoneValue: boolean;
  reminderDone: boolean;
  el: HTMLElement;
  state: States;
  status: States;
  descriptionText: string;
  addonReminderInfoFromBodyEmitter: EventEmitter<{
    description: string;
    hour: string;
    minute: string;
    duration: string;
    date: string;
  }>;
  hours: string;
  minutes: string;
  date: string;
  duration: string;
  dateChanged: string;
  today: Date;
  isEntered: number;
  isChangedDay: boolean;
  updateDate(ev: any): void;
  componentWillRender(): void;
  connectedCallback(): void;
  componentShouldUpdate(): void;
  takeCalendarDate(ev: any): void;
  takeTextFromInput(value: any): void;
  calculateEndDate(hours: string, minutes: string, duration: string): string;
  convertDate(inputFormat: any): string;
  getHoursAndMinutes(ev: any): void;
  catchOpenFromInputSelect(ev: any): void;
  handleClickOutsideInputSelect(event: any): void;
  getDates(ev: any): void;
  render(): any;
}
